- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Creates a new channel. Returns the newly created channel if successful.
HTTP request
POST https://displayvideo.googleapis.com/v5/partners/{partnerId}/channels
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
| Required. Identifies which DV360 entity owns the channel. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
partnerId |
The ID of the partner that owns the created channel. |
| End of mutually exclusive fields. | |
Query parameters
| Parameters | |
|---|---|
| Required. Identifies which DV360 entity owns the channel. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: | |
advertiserId |
The ID of the advertiser that owns the created channel. |
| End of mutually exclusive fields. | |
Request body
The request body contains an instance of Channel.
Response body
If successful, the response body contains a newly created instance of Channel.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.